//
// based on Echo
//
// simulate Unix's wc command
// prints line count, word count, character count
//
import java.io.*;
import java.util.StringTokenizer;

public class WordCount
{
  public static void main( String[] args ) throws IOException
  {
    String delimiters = " .?!()[]{}|?/&\\,;:-\'\"\t\n\r";
    BufferedReader inputFile = new BufferedReader(
                                   new FileReader( args[0] ) );

    String line = null;
    int    chars  = 0;
    int    words  = 0;
    int    lines  = 0;

    while ( true )
    {
      line = inputFile.readLine();
      if ( line == null ) break;

      lines++;

      StringTokenizer tokens = new StringTokenizer( line, delimiters );
      while ( tokens.hasMoreElements() )
      {
        String word = (String) tokens.nextElement();
        words++;
        chars += word.length();
      }
    }

    System.out.println( "" + lines + " " + words + " " + chars );
    inputFile.close();
  }
}
